#
# spec file for package perl-Dancer-Plugin-Auth-RBAC
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-Dancer-Plugin-Auth-RBAC
Version:        1.110720
Release:        4.1
License:        GPL+ or Artistic
%define cpan_name Dancer-Plugin-Auth-RBAC
Summary:        Dancer Authentication, Security and Role-Based Access Control Framework!
Url:            http://search.cpan.org/dist/Dancer-Plugin-Auth-RBAC/
Group:          Development/Libraries/Perl
#Source:         http://www.cpan.org/authors/id/X/XS/XSAWYERX/Dancer-Plugin-Auth-RBAC-1.103430.tar.gz
Source:         %{cpan_name}-%{version}.tar.gz
BuildRequires:  perl(Dancer)
BuildRequires:  perl(Dancer::Plugin::Database)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(YAML)
BuildRequires:  perl
BuildRequires:  perl-macros
Requires:       perl(Dancer)
Requires:       perl(Dancer::Plugin::Database)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Provides:       perl(Dancer::Plugin::Authorize) = %{version}
Obsoletes:      perl(Dancer::Plugin::Authorize) < %{version}
%{perl_requires}

%description
Dancer::Plugin::Auth::RBAC is an authentication framework and role-based
access control system. As a role-based access control system
Dancer::Plugin::Auth::RBAC can be complex but will give you the most
flexibilty over all other access control philosophies.

The Dancer::Plugin::Auth::RBAC plugin provides your application with the
ability to easily authenticate and restrict access to specific users and
groups by providing a tried and tested RBAC (role-based access control)
system. Dancer::Plugin::Auth::RBAC provides this level of sophistication
with minimal configuration.

Dancer::Plugin::Auth::RBAC exports the auth() and authd() keywords:

    $auth = auth($login, $pass)     # new authorization instance
    $auth->asa($role)               # check if the authenticated user has the specified role
    $auth->can($operation)          # check if the authenticated user has permission
    $auth->can($operation, $action) # to perform a specific action
    $auth->roles(@roles)            # get or set roles for the current logged in user
    $auth->errors()                 # authentication errors if any
    $auth->revoke()                 # revoke authorization (logout)
    
    return authd()                  # is the current user authorized?

The Dancer::Plugin::Auth::RBAC authentication framework relies on the the
Dancer::Plugin::Auth::RBAC::Credentials manpage namespace to do the actual
authentication, and likewise relies on the the
Dancer::Plugin::Auth::RBAC::Permissions manpage namespace to handle access
control. The following configuration example is based on the
Dancer::Plugin::Auth::RBAC::Credentials::Config manpage and the
Dancer::Plugin::Auth::RBAC::Permissions::Config manpage. This framework
also ship with the Dancer::Plugin::Auth::RBAC::Credentials::SQLite manpage,
the Dancer::Plugin::Auth::RBAC::Credentials::MySQL manpage, the
Dancer::Plugin::Auth::RBAC::Credentials::PostrgeSQL manpage which are
arguably easier to setup and utilize.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc dist.ini LICENSE README

%changelog
* Mon Mar 14 2011 dbahi@novell.com
- new release - added authd() function
* Wed Jan 19 2011 dbahi@novell.com
- initial package 1.103430
  * created by cpanspec 1.78.03
